<ion-header class="siderbar default">
    <ion-toolbar>
        <ion-buttons start>
            <button menuToggle ion-button icon-only>
                <img src="assets/icon/svg/SideBarButton.png">
            </button>
        </ion-buttons>
        <ion-title>My profile</ion-title>
        <ion-buttons end>
            <button ion-button icon-only>
                <img src="assets/icon/svg/location.png">
            </button>
        </ion-buttons>
    </ion-toolbar>
</ion-header>
<ion-content padding>
    <div class="header">
        <!-- <div class="avatar" style="background: url('/assets/imgs/default-user.png')"></div> -->
        <div *ngIf="!userDetail.profilePicture" class="avatar" style="background: url('/assets/imgs/default-user.png')"></div>
        <div *ngIf="userDetail.profilePicture" class="avatar" [style.backgroundImage]="'url(' + userDetail.profilePicture + ')'"></div>
        
        <p class="name">{{userDetail.username}}</p>
        <p class="text">{{userDetail.phoneNumber}}</p>
        <p class="text">{{userDetail.email}}</p>
    </div>
    <div class="list-fun">
        <ion-list>
            <ion-item class="first">
                <div class="left">
                    <img *ngIf="userDetail.profilePicture" src="{{userDetail.profilePicture}}">
                    <img *ngIf="!userDetail.profilePicture" src="/assets/imgs/default-user.png">
                </div>
                <div class="right">
                    <p class="name">{{cardScore.curentName}}</p>
                    <p class="des">Cần {{cardScore.nextPoint-cardScore.curentPoint}} điểm để nâng cấp {{cardScore.nextName}}</p>
                </div>
            </ion-item>
            <ion-item (click)="gotoManageProfile()">
                <div class="left">
                    <img src="assets/icon/svg/personal.svg">
                </div>
                <div class="right">
                    <p class="name">Quản lý tài khoản </p>
                </div>
            </ion-item>
            <ion-item (click)="myQrCode()">
                <div class="left qrcode">
                    <img src="assets/icon/svg/QRcode.svg">
                </div>
                <div class="right">
                    <p class="name">Mã QR của tôi</p>
                </div>
            </ion-item>
            <ion-item>
                <div class="left">
                    <img src="assets/icon/svg/GiftStick.svg">
                </div>
                <div class="right">
                    <p class="name">Thẻ quà tặng</p>
                </div>
            </ion-item>
            <ion-item>
                <div class="left">
                    <img src="assets/icon/svg/personal.svg">
                </div>
                <div class="right">
                    <p class="name">Chính sách thành viên</p>
                </div>
            </ion-item>
            <ion-item>
                <div class="left">
                    <img src="assets/icon/svg/Hotline.svg">
                </div>
                <div class="right">
                    <p class="name">Trợ giúp</p>
                </div>
            </ion-item>
        </ion-list>
    </div>
</ion-content>
